/***********************************************************************
* File Name    : r_iica0_lib.h
* programed by : `R
* Device(s)    : R5F10267
* Tool-Chain   : CC-RL
* Description  : This file implements device driver for IICA0 slave mode.
* Creation Date: 2015/10/09
************************************************************************/

/***********************************************************************
Global variables and functions
************************************************************************/
extern uint8_t     g_Rx_data[8];        /* received data buffer         */
extern uint16_t    g_Tx_data[4];        /* transmit data buffer         */

extern uint8_t     g_det_stop;          /* stop condition detect flag   */

void R_IICA0_Init(void);                /* IICA0 buffer initialize      */
uint8_t R_IICA0_Get(uint8_t ptr);       /* get IICA0 received data      */
void R_IICA0_Put(uint8_t ptr,uint16_t data); /* set data to TX buffer   */
uint8_t R_IICA0_Status(void);           /* check IICA0 status           */
