/***********************************************************************************************************************
* File Name    : r_main.c
* programed by : `R
* Device(s)    : R5F100LG
* Tool-Chain   : CCRL
* Description  : This file implements main function.
* Creation Date: 2015/12/14
* Modified Date: 2016/06/10 (adapt CC-RL)
***********************************************************************************************************************/

/***********************************************************************************************************************
Includes
***********************************************************************************************************************/
#include "r_cg_macrodriver.h"
#include "r_cg_cgc.h"
#include "r_cg_port.h"
#include "r_cg_serial.h"
#include "r_cg_adc.h"
#include "r_cg_timer.h"
/* Start user code for include. Do not edit comment generated here */
#include "r_iica0_lib.h"
#include "r_intadc.h"
#include "r_led_disp.h"
/* End user code. Do not edit comment generated here */
#include "r_cg_userdefine.h"

/***********************************************************************************************************************
Pragma directive
***********************************************************************************************************************/
/* Start user code for pragma. Do not edit comment generated here */
/* End user code. Do not edit comment generated here */

/***********************************************************************************************************************
Global variables and functions
***********************************************************************************************************************/
/* Start user code for global. Do not edit comment generated here */

/* End user code. Do not edit comment generated here */
void R_MAIN_UserInit(void);

/***********************************************************************************************************************
* Function Name: main
* Description  : This function implements main function.
* Arguments    : None
* Return Value : None
***********************************************************************************************************************/
void main(void)
{
    R_MAIN_UserInit();
    /* Start user code. Do not edit comment generated here */
    {

        uint8_t i;
        uint16_t ad_data;

        while (1U)
        {
            while ( FALSE == Adc_End )      /* wait for 4 channel end   */
            {

/*
    wait for A/D conversion end
*/
                if( DETECT_STOP == g_det_stop )
                {
/*
    detect STOP condition and copy received data to display buffer
*/
                    for ( i = 0 ; i < DATA_NUMBER ; i++ )
                    {
                        R_Make_DISP_data(i, R_IICA0_Get(i));
                    }
                    g_det_stop = 0x00;      /* clear stop detect flag   */
                }
            }

/*
    A/D conversion end and set A/D to IICA0 buffer
*/

            for ( i = 0 ; i < 4 ; i++ )
            {
                ad_data = ( sum_data[i] >> POWER );
                R_IICA0_Put( i , ad_data );
            }
            Adc_End = FALSE;
        }
    }
    /* End user code. Do not edit comment generated here */
}

/***********************************************************************************************************************
* Function Name: R_MAIN_UserInit
* Description  : This function adds user code before implementing main function.
* Arguments    : None
* Return Value : None
***********************************************************************************************************************/
void R_MAIN_UserInit(void)
{
    /* Start user code. Do not edit comment generated here */

    R_ADC_Init();                       /* initialize ADC parameters    */
    R_DISP_Init();                      /* initialize LED display       */
    R_IICA0_Init();                     /* initialize IICA0 buffer      */

    R_ADC_Start();                      /* start A/D converter          */
    R_TAU0_Channel0_Start();            /* srart timer for display      */

    EI();                               /* enable vector interrupt      */

    /* End user code. Do not edit comment generated here */
}

/* Start user code for adding. Do not edit comment generated here */
/* End user code. Do not edit comment generated here */
